"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var styled_components_1 = require("styled-components");
exports.defaultRebootOptions = {
    black: '#000',
    bodyBg: '#fff',
    bodyColor: '#212529',
    dtFontWeight: 700,
    enablePointerCursorForButtons: true,
    fontFamilyBase: '-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji"',
    fontFamilyMonospace: 'SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace',
    fontSizeBase: '1rem',
    fontWeightBase: 400,
    fontWeightBolder: 'bolder',
    headingsMarginBottom: '0.5rem',
    labelMarginBottom: '0.5rem',
    lineHeightBase: 1.5,
    linkColor: '#007bff',
    linkDecoration: 'none',
    linkHoverColor: '#0056b3',
    linkHoverDecoration: 'underline',
    paragraphMarginBottom: '1rem',
    tableCaptionColor: '#6c757d',
    tableCellPadding: '0.75rem'
};
exports.reboot = function (options) {
    var _a = __assign({}, exports.defaultRebootOptions, options), black = _a.black, fontFamilyBase = _a.fontFamilyBase, fontFamilyMonospace = _a.fontFamilyMonospace, fontSizeBase = _a.fontSizeBase, fontWeightBase = _a.fontWeightBase, fontWeightBolder = _a.fontWeightBolder, lineHeightBase = _a.lineHeightBase, bodyColor = _a.bodyColor, bodyBg = _a.bodyBg, headingsMarginBottom = _a.headingsMarginBottom, paragraphMarginBottom = _a.paragraphMarginBottom, dtFontWeight = _a.dtFontWeight, linkColor = _a.linkColor, linkDecoration = _a.linkDecoration, linkHoverColor = _a.linkHoverColor, linkHoverDecoration = _a.linkHoverDecoration, tableCellPadding = _a.tableCellPadding, tableCaptionColor = _a.tableCaptionColor, labelMarginBottom = _a.labelMarginBottom, enablePointerCursorForButtons = _a.enablePointerCursorForButtons;
    var rebootCss = styled_components_1.css(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n    *,\n    *::before,\n    *::after {\n      box-sizing: border-box;\n    }\n\n    html {\n      font-family: sans-serif;\n      line-height: 1.15;\n      -webkit-text-size-adjust: 100%;\n      -webkit-tap-highlight-color: rgba(", ", 0);\n    }\n\n    article,\n    aside,\n    figcaption,\n    figure,\n    footer,\n    header,\n    hgroup,\n    main,\n    nav,\n    section {\n      display: block;\n    }\n\n    body {\n      margin: 0;\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n      color: ", ";\n      text-align: left;\n      background-color: ", ";\n    }\n\n    [tabindex='-1']:focus {\n      outline: 0 !important;\n    }\n\n    hr {\n      box-sizing: content-box;\n      height: 0;\n      overflow: visible;\n    }\n\n    h1,\n    h2,\n    h3,\n    h4,\n    h5,\n    h6 {\n      margin-top: 0;\n      margin-bottom: ", ";\n    }\n\n    p {\n      margin-top: 0;\n      margin-bottom: ", ";\n    }\n\n    abbr[title],\n    abbr[data-original-title] {\n      text-decoration: underline;\n      text-decoration: underline dotted;\n      cursor: help;\n      border-bottom: 0;\n      text-decoration-skip-ink: none;\n    }\n\n    address {\n      margin-bottom: 1rem;\n      font-style: normal;\n      line-height: inherit;\n    }\n\n    ol,\n    ul,\n    dl {\n      margin-top: 0;\n      margin-bottom: 1rem;\n    }\n\n    ol ol,\n    ul ul,\n    ol ul,\n    ul ol {\n      margin-bottom: 0;\n    }\n\n    dt {\n      font-weight: ", ";\n    }\n\n    dd {\n      margin-bottom: 0.5rem;\n      margin-left: 0;\n    }\n\n    blockquote {\n      margin: 0 0 1rem;\n    }\n\n    b,\n    strong {\n      font-weight: ", ";\n    }\n\n    small {\n      font-size: 80%;\n    }\n\n    sub,\n    sup {\n      position: relative;\n      font-size: 75%;\n      line-height: 0;\n      vertical-align: baseline;\n    }\n\n    sub {\n      bottom: -0.25em;\n    }\n\n    sup {\n      top: -0.5em;\n    }\n\n    a {\n      color: ", ";\n      text-decoration: ", ";\n      background-color: transparent;\n\n      &:hover {\n        color: ", ";\n        text-decoration: ", ";\n      }\n    }\n\n    a:not([href]):not([tabindex]) {\n      color: inherit;\n      text-decoration: none;\n\n      &:hover,\n      &:focus {\n        color: inherit;\n        text-decoration: none;\n      }\n\n      &:focus {\n        outline: 0;\n      }\n    }\n\n    pre,\n    code,\n    kbd,\n    samp {\n      font-family: ", ";\n      font-size: 1em;\n    }\n\n    pre {\n      margin-top: 0;\n      margin-bottom: 1rem;\n      overflow: auto;\n    }\n\n    figure {\n      margin: 0 0 1rem;\n    }\n\n    img {\n      vertical-align: middle;\n      border-style: none;\n    }\n\n    svg {\n      overflow: hidden;\n      vertical-align: middle;\n    }\n\n    table {\n      border-collapse: collapse;\n    }\n\n    caption {\n      padding-top: ", ";\n      padding-bottom: ", ";\n      color: ", ";\n      text-align: left;\n      caption-side: bottom;\n    }\n\n    th {\n      text-align: inherit;\n    }\n\n    label {\n      display: inline-block;\n      margin-bottom: ", ";\n    }\n\n    button {\n      border-radius: 0;\n    }\n\n    button:focus {\n      outline: 1px dotted;\n      outline: 5px auto -webkit-focus-ring-color;\n    }\n\n    input,\n    button,\n    select,\n    optgroup,\n    textarea {\n      margin: 0;\n      font-family: inherit;\n      font-size: inherit;\n      line-height: inherit;\n    }\n\n    button,\n    input {\n      overflow: visible;\n    }\n\n    button,\n    select {\n      text-transform: none;\n    }\n\n    select {\n      word-wrap: normal;\n    }\n\n    button,\n    [type='button'],\n    [type='reset'],\n    [type='submit'] {\n      -webkit-appearance: button;\n    }\n\n    ", "\n\n    button::-moz-focus-inner,\n    [type=\"button\"]::-moz-focus-inner,\n    [type=\"reset\"]::-moz-focus-inner,\n    [type=\"submit\"]::-moz-focus-inner {\n      padding: 0;\n      border-style: none;\n    }\n\n    input[type='radio'],\n    input[type='checkbox'] {\n      box-sizing: border-box;\n      padding: 0;\n    }\n\n    input[type='date'],\n    input[type='time'],\n    input[type='datetime-local'],\n    input[type='month'] {\n      -webkit-appearance: listbox;\n    }\n\n    textarea {\n      overflow: auto;\n      resize: vertical;\n    }\n\n    fieldset {\n      min-width: 0;\n      padding: 0;\n      margin: 0;\n      border: 0;\n    }\n\n    legend {\n      display: block;\n      width: 100%;\n      max-width: 100%;\n      padding: 0;\n      margin-bottom: 0.5rem;\n      font-size: 1.5rem;\n      line-height: inherit;\n      color: inherit;\n      white-space: normal;\n    }\n\n    progress {\n      vertical-align: baseline;\n    }\n\n    [type='number']::-webkit-inner-spin-button,\n    [type='number']::-webkit-outer-spin-button {\n      height: auto;\n    }\n\n    [type='search'] {\n      outline-offset: -2px;\n      -webkit-appearance: none;\n    }\n\n    [type='search']::-webkit-search-decoration {\n      -webkit-appearance: none;\n    }\n\n    ::-webkit-file-upload-button {\n      font: inherit;\n      -webkit-appearance: button;\n    }\n\n    output {\n      display: inline-block;\n    }\n\n    summary {\n      display: list-item;\n      cursor: pointer;\n    }\n\n    template {\n      display: none;\n    }\n\n    [hidden] {\n      display: none !important;\n    }\n  "], ["\n    *,\n    *::before,\n    *::after {\n      box-sizing: border-box;\n    }\n\n    html {\n      font-family: sans-serif;\n      line-height: 1.15;\n      -webkit-text-size-adjust: 100%;\n      -webkit-tap-highlight-color: rgba(", ", 0);\n    }\n\n    article,\n    aside,\n    figcaption,\n    figure,\n    footer,\n    header,\n    hgroup,\n    main,\n    nav,\n    section {\n      display: block;\n    }\n\n    body {\n      margin: 0;\n      font-family: ", ";\n      font-size: ", ";\n      font-weight: ", ";\n      line-height: ", ";\n      color: ", ";\n      text-align: left;\n      background-color: ", ";\n    }\n\n    [tabindex='-1']:focus {\n      outline: 0 !important;\n    }\n\n    hr {\n      box-sizing: content-box;\n      height: 0;\n      overflow: visible;\n    }\n\n    h1,\n    h2,\n    h3,\n    h4,\n    h5,\n    h6 {\n      margin-top: 0;\n      margin-bottom: ", ";\n    }\n\n    p {\n      margin-top: 0;\n      margin-bottom: ", ";\n    }\n\n    abbr[title],\n    abbr[data-original-title] {\n      text-decoration: underline;\n      text-decoration: underline dotted;\n      cursor: help;\n      border-bottom: 0;\n      text-decoration-skip-ink: none;\n    }\n\n    address {\n      margin-bottom: 1rem;\n      font-style: normal;\n      line-height: inherit;\n    }\n\n    ol,\n    ul,\n    dl {\n      margin-top: 0;\n      margin-bottom: 1rem;\n    }\n\n    ol ol,\n    ul ul,\n    ol ul,\n    ul ol {\n      margin-bottom: 0;\n    }\n\n    dt {\n      font-weight: ", ";\n    }\n\n    dd {\n      margin-bottom: 0.5rem;\n      margin-left: 0;\n    }\n\n    blockquote {\n      margin: 0 0 1rem;\n    }\n\n    b,\n    strong {\n      font-weight: ", ";\n    }\n\n    small {\n      font-size: 80%;\n    }\n\n    sub,\n    sup {\n      position: relative;\n      font-size: 75%;\n      line-height: 0;\n      vertical-align: baseline;\n    }\n\n    sub {\n      bottom: -0.25em;\n    }\n\n    sup {\n      top: -0.5em;\n    }\n\n    a {\n      color: ", ";\n      text-decoration: ", ";\n      background-color: transparent;\n\n      &:hover {\n        color: ", ";\n        text-decoration: ", ";\n      }\n    }\n\n    a:not([href]):not([tabindex]) {\n      color: inherit;\n      text-decoration: none;\n\n      &:hover,\n      &:focus {\n        color: inherit;\n        text-decoration: none;\n      }\n\n      &:focus {\n        outline: 0;\n      }\n    }\n\n    pre,\n    code,\n    kbd,\n    samp {\n      font-family: ", ";\n      font-size: 1em;\n    }\n\n    pre {\n      margin-top: 0;\n      margin-bottom: 1rem;\n      overflow: auto;\n    }\n\n    figure {\n      margin: 0 0 1rem;\n    }\n\n    img {\n      vertical-align: middle;\n      border-style: none;\n    }\n\n    svg {\n      overflow: hidden;\n      vertical-align: middle;\n    }\n\n    table {\n      border-collapse: collapse;\n    }\n\n    caption {\n      padding-top: ", ";\n      padding-bottom: ", ";\n      color: ", ";\n      text-align: left;\n      caption-side: bottom;\n    }\n\n    th {\n      text-align: inherit;\n    }\n\n    label {\n      display: inline-block;\n      margin-bottom: ", ";\n    }\n\n    button {\n      border-radius: 0;\n    }\n\n    button:focus {\n      outline: 1px dotted;\n      outline: 5px auto -webkit-focus-ring-color;\n    }\n\n    input,\n    button,\n    select,\n    optgroup,\n    textarea {\n      margin: 0;\n      font-family: inherit;\n      font-size: inherit;\n      line-height: inherit;\n    }\n\n    button,\n    input {\n      overflow: visible;\n    }\n\n    button,\n    select {\n      text-transform: none;\n    }\n\n    select {\n      word-wrap: normal;\n    }\n\n    button,\n    [type='button'],\n    [type='reset'],\n    [type='submit'] {\n      -webkit-appearance: button;\n    }\n\n    ",
        "\n\n    button::-moz-focus-inner,\n    [type=\"button\"]::-moz-focus-inner,\n    [type=\"reset\"]::-moz-focus-inner,\n    [type=\"submit\"]::-moz-focus-inner {\n      padding: 0;\n      border-style: none;\n    }\n\n    input[type='radio'],\n    input[type='checkbox'] {\n      box-sizing: border-box;\n      padding: 0;\n    }\n\n    input[type='date'],\n    input[type='time'],\n    input[type='datetime-local'],\n    input[type='month'] {\n      -webkit-appearance: listbox;\n    }\n\n    textarea {\n      overflow: auto;\n      resize: vertical;\n    }\n\n    fieldset {\n      min-width: 0;\n      padding: 0;\n      margin: 0;\n      border: 0;\n    }\n\n    legend {\n      display: block;\n      width: 100%;\n      max-width: 100%;\n      padding: 0;\n      margin-bottom: 0.5rem;\n      font-size: 1.5rem;\n      line-height: inherit;\n      color: inherit;\n      white-space: normal;\n    }\n\n    progress {\n      vertical-align: baseline;\n    }\n\n    [type='number']::-webkit-inner-spin-button,\n    [type='number']::-webkit-outer-spin-button {\n      height: auto;\n    }\n\n    [type='search'] {\n      outline-offset: -2px;\n      -webkit-appearance: none;\n    }\n\n    [type='search']::-webkit-search-decoration {\n      -webkit-appearance: none;\n    }\n\n    ::-webkit-file-upload-button {\n      font: inherit;\n      -webkit-appearance: button;\n    }\n\n    output {\n      display: inline-block;\n    }\n\n    summary {\n      display: list-item;\n      cursor: pointer;\n    }\n\n    template {\n      display: none;\n    }\n\n    [hidden] {\n      display: none !important;\n    }\n  "])), black, fontFamilyBase, fontSizeBase, fontWeightBase, lineHeightBase, bodyColor, bodyBg, headingsMarginBottom, paragraphMarginBottom, dtFontWeight, fontWeightBolder, linkColor, linkDecoration, linkHoverColor, linkHoverDecoration, fontFamilyMonospace, tableCellPadding, tableCellPadding, tableCaptionColor, labelMarginBottom, enablePointerCursorForButtons && styled_components_1.css(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n        button,\n        [type='button'],\n        [type='reset'],\n        [type='submit'] {\n          &:not(:disabled) {\n            cursor: pointer;\n          }\n        }\n      "], ["\n        button,\n        [type='button'],\n        [type='reset'],\n        [type='submit'] {\n          &:not(:disabled) {\n            cursor: pointer;\n          }\n        }\n      "]))));
    return rebootCss;
};
exports.default = exports.reboot;
var templateObject_1, templateObject_2;
